//
//  RiwayatCard.swift
//  Emoney Info
//
//  Created by Wira Irawan on 25/07/24.
//

import Foundation

class RiwayatCard
//: Comparable
{
//    static func < (lhs: RiwayatCard, rhs: RiwayatCard) -> Bool {
//        return lhs.valueToCompare > rhs.valueToCompare
//    }
//    
//    static func == (lhs: RiwayatCard, rhs: RiwayatCard) -> Bool {
//        return false
//    }
    
    private var amount: Int = 0
    private var desk: String?
    private var jam: String?
    private var locationId: String?
    private var locationName: String?
    private var prosesTipe: Int = 0
    private var tanggal: String?
    private var title: String?
    private var transactionTime : Date?
    private var ads : Bool = false
    
//    private var valueToCompare: Date
    
//    init(valueToCompare: Date) {
//        self.valueToCompare = valueToCompare
//    }
    
    func getAmount() -> Int {
        return self.amount
    }

    func setAmount(_ amount: Int) {
        self.amount = amount
    }
    
    func getDesk() -> String? {
        return self.desk
    }

    func setDesk(_ str: String) {
        self.desk = str
    }

    func getJam() -> String? {
        return self.jam
    }

    func setJam(_ str: String) {
        self.jam = str
    }
    
    func getLocationId() -> String? {
        return self.locationId
    }
    
    func setLocationId(_ str: String) {
        self.locationId = str
    }

    func getLocationName() -> String? {
        return self.locationName
    }

    func setLocationName(_ str: String) {
        self.locationName = str
    }
    
    func getProsesTipe() -> Int {
        return self.prosesTipe
    }
    
    func setProsesTipe(_ proc: Int) {
        self.prosesTipe = proc
    }

    func getTanggal() -> String? {
        return self.tanggal
    }
    
    func setTanggal(_ str: String) {
        self.tanggal = str
    }

    func getTitle() -> String? {
        return self.title
    }

    func setTitle(_ str: String) {
        self.title = str
    }
    
    func setTransactionTime(_ date : Date){
        self.transactionTime = date
    }
    
    func getTransationTime() -> Date?{
        return self.transactionTime
    }
    
    func setAds(_ ads : Bool){
        self.ads = ads
    }
    
    func isAds() -> Bool{
        return self.ads
    }
    
    
//    func setValueToCompare(_ valueToCompare: Date) {
//       self.valueToCompare = valueToCompare
//    }
//    
//    func getValueToCompare() -> Date {
//        return self.valueToCompare
//    }

}
